@charset "utf-8";

/* !!! グローバル !!! */
/*!
global
------------------------------
*/
:root {
  /* color-bg */
  --color-bg-base: #ebdfca;
  --color-bg-primary: #567947;
  --color-bg-secondary: #f6f2ea;
  --color-bg-accent: #dc5f36;
  --color-bg-white: #fff;
  --color-bg-black: #000;
  --color-bg-gray-rgba: rgba(96, 125, 84, 0.08);

  /* color-font */
  --color-font-base: #3b342d;
  --color-font-primary: #567947;
  --color-font-accent: #dc5f36;
  --color-font-white: #fff;

  /* color-border */
  --color-border-base: #3b342d;
  --color-border-white: #fff;
  --color-border-primary: #567947;
  --color-border-accent: #dc5f36;

  /* font-family */
  --font-family-base: "Kiwi Maru", serif;

  /* color-shadow */
  --color-shadow-base: #3b342d;
  --color-shadow-white: #fff;

  /* font-size */
  --font-size-xs: 12px;
  --font-size-base: 14px;
  --font-size-sm: 16px;
  --font-size-md: 20px;
  --font-size-xl: 24px;
  --font-size-xxl: 32px;
  --font-size-xxxl: 48px;
  --font-size-bg: 64px;

  /* font-letter-spacing */
  --font-letter-spacing-base: 0.05em;
  --font-letter-spacing-heading: 0.08em;

  /* width-contents */
  --width-content-s: 960px;
  --width-content: 1080px;
  --width-content-l: 1200px;
}

/* !!! ファンデーション !!! */
/*!
foundation > reset
------------------------------
*/
html {
  color: #000;
  background: #fff;
}

body,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
code,
form,
fieldset,
legend,
input,
textarea,
p,
blockquote,
th,
td {
  margin: 0;
  padding: 0;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
}

fieldset,
img {
  border: 0;
}

address,
caption,
cite,
code,
dfn,
em,
strong,
th,
var {
  font-style: normal;
  font-weight: normal;
}

ol,
ul {
  list-style: none;
}

caption,
th {
  text-align: left;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 100%;
  font-weight: normal;
}

q:before,
q:after {
  content: "";
}

abbr,
acronym {
  border: 0;
  font-variant: normal;
}

sup {
  display: block;
}

sub {
  vertical-align: text-bottom;
}

input,
textarea,
select,
button {
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
  font-size: 100%;
  border-radius: 0;
  border: none;
  appearance: none;
  -webkit-appearance: none;
  background-color: inherit;
}

input,
textarea,
select {
  font-size: 16px;
}

textarea {
  resize: vertical;
  display: block;
}

button {
  padding: 0;
  cursor: pointer;
}

legend {
  color: #000;
}

main {
  display: block;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
}

svg {
  display: block;
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
}

*::before,
*::after {
  box-sizing: border-box;
}

/*!
foundation > base
------------------------------
*/
html {
  scroll-behavior: smooth;
}

body {
  line-height: 1.8;
  font-size: var(--font-size-base);
  color: var(--color-font-base);
  font-family: var(--font-family-base);
  letter-spacing: var(--font-letter-spacing-base);
  background-color: var(--color-bg-base);
}

@media screen and (min-width: 768px) {
  body {
    font-size: var(--font-size-sm);
  }
}

/* !!! ユーティリティー !!! */
/*!
utility > utility
------------------------------
*/
.u-mt {
  margin-top: 40px !important;
}

@media screen and (min-width: 768px) {
  .u-mt {
    margin-top: 48px !important;
  }
}

.u-ptb {
  padding: 64px 0 !important;
}

@media screen and (min-width: 768px) {
  .u-ptb {
    padding: 80px 0 !important;
  }
}

.u-linebreak {
  display: block;
}

.u-linebreak-sp {
  display: block;
}

@media screen and (min-width: 768px) {
  .u-linebreak-sp {
    display: inline;
  }
}

.u-linebreak-pc {
  display: inline;
}

@media screen and (min-width: 768px) {
  .u-linebreak-pc {
    display: block;
  }
}

.u-visually-hidden {
  position: absolute !important;
  white-space: nowrap !important;
  width: 1px !important;
  height: 1px !important;
  overflow: hidden !important;
  border: 0 !important;
  padding: 0 !important;
  clip: rect(0 0 0 0) !important;
  clip-path: inset(50%) !important;
  margin: -1px !important;
}

/* !!! コンポーネント !!! */
/*!
  component > wave
  ------------------------------
  */
.c-divider {
  position: absolute;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
}

.c-divider svg {
  display: block;
  width: calc(100% + 1.3px);
  height: 80px;
}

.c-divider path {
  fill: var(--color-bg-white);
}

.c-divider--top {
  top: 0;
}

.c-divider--bottom {
  bottom: 0;
  transform: rotate(180deg);
}

/*!
  component > kv
------------------------------
*/
.c-kv {
  margin-top: 80px;
  display: flex;
  align-items: center;
  background-image: url(../img/pic-top-keyvisual.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.c-kv--lg {
  height: 400px;
}

@media screen and (min-width: 768px) {
  .c-kv--lg {
    height: 600px;
  }
}

.c-kv--sm {
  height: 200px;
}

@media screen and (min-width: 768px) {
  .c-kv--sm {
    height: 300px;
  }
}

@media screen and (min-width: 1600px) {
  .c-kv--sm {
    height: 450px;
  }
}

.c-kv-heading {
  background-color: var(--color-bg-white);
  width: 45%;
  height: 100%;
  flex-shrink: 0;
  padding: 0 20px;
  display: grid;
  place-items: center;
}

.c-kv-catchcopy {
  font-size: clamp(var(--font-size-xxl), 5vw, var(--font-size-bg));
  white-space: nowrap;
  text-shadow: 1px 1px 8px var(--color-shadow-white);
}

/*!
  component > hamburger-button
  ------------------------------
  */
.c-hamburger {
  width: 48px;
  height: 100%;
  z-index: 9999;
}

@media screen and (min-width: 768px) {
  .c-hamburger {
    display: none;
  }
}

.c-hamburger span {
  display: block;
  width: 100%;
  height: 1px;
  background-color: #000;
  position: relative;
  transition: ease 0.4s;
}

.c-hamburger span:nth-child(1) {
  top: 0;
}

.c-hamburger.active span:nth-child(1) {
  top: 5px;
  transform: rotate(45deg);
}

.c-hamburger span:nth-child(2) {
  margin: 8px 0;
}

.c-hamburger.active span:nth-child(2) {
  opacity: 0;
}

.c-hamburger span:nth-child(3) {
  top: 0;
}

.c-hamburger.active span:nth-child(3) {
  top: -13px;
  transform: rotate(-45deg);
}

/*!
component > section-heading
------------------------------
*/
.c-section-heading {
  display: grid;
  gap: 12px;
  line-height: 1;
  letter-spacing: var(--font-letter-spacing-heading);
  color: var(--color-font-primary);
}

.c-section-heading-ja {
  font-size: clamp(var(--font-size-xxl), 5vw, var(--font-size-xxxl));
}

.c-section-heading-en {
  font-size: clamp(var(--font-size-md), 5vw, var(--font-size-xl));
  padding-left: 10px;
}

/*!
component > pagetop
------------------------------
*/
.c-floatbutton {
  display: grid;
  place-items: center;
  height: 45px;
  width: 45px;
  border: solid 2px var(--color-border-white);
  border-radius: 50%;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease,
    scale 0.3s ease;
  position: fixed;
  bottom: 30px;
  z-index: 2;
}

@media screen and (min-width: 768px) {
  .c-floatbutton {
    height: 60px;
    width: 60px;
    right: 30px;
  }
}

@media (any-hover: hover) {
  .c-floatbutton:hover {
    opacity: 0.8;
    scale: 1.1;
  }
}

.c-floatbutton.is-show {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.c-floatbutton--top {
  background-color: var(--color-bg-accent);
  right: 15px;
}

.c-floatbutton--top span {
  height: 10px;
  width: 10px;
  border-top: 3px solid var(--color-border-white);
  border-right: 3px solid var(--color-border-white);
  transform: translateY(20%) rotate(-45deg);
}

.c-floatbutton--mail {
  background-color: var(--color-bg-primary);
  right: clamp(65px, 10vw, 90px);
}

.c-floatbutton--mail img {
  display: block;
  width: clamp(25px, 5vw, 40px);
  height: auto;
}

/*!
component > product(カード単体)
------------------------------
*/
.c-product-card {
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: clamp(6px, 2vw, 12px);
  padding: clamp(10px, 2vw, 16px) clamp(8px, 2vw, 12px);
  border-radius: 30px;
}

.c-product-card--top {
  background-color: var(--color-bg-white);
}

.c-product-card--page {
  background-color: var(--color-bg-secondary);
}

.c-product-textbox {
  padding: 0 12px;
}

.c-product-card img {
  display: block;
  border-radius: 30px;
  height: 100%;
  object-fit: cover;
}

@media screen and (min-width: 1440px) {
  .c-product-card img {
    max-width: 400px;
    max-height: 220px;
  }
}

.c-product-title {
  color: var(--color-font-primary);
  font-size: clamp(var(--font-size-xl), 2vw, var(--font-size-xxl));
  border-bottom: 2px dotted var(--color-border-primary);
  width: fit-content;
}

.c-product-text {
  margin-top: 4px;
}

@media screen and (min-width: 768px) {
  .c-product-text {
    margin-top: 6px;
  }
}

/*!
component > product(カード複数)
------------------------------
*/
.c-products-box {
  display: grid;
  gap: 30px;
  align-items: stretch;
}

@media screen and (min-width: 768px) {
  .c-products-box--col2 {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 1440px) {
  .c-products-box--col3 {
    grid-template-columns: repeat(3, 1fr);
  }
}

/*!
component > c-feature-list (img + textの横並び)
------------------------------
*/
.c-feature-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
}

@media screen and (min-width: 768px) {
  .c-feature-list {
    flex-direction: row;
    align-items: stretch;
    gap: 40px;
  }
}

.c-feature-list-item {
  width: 100%;
  max-width: 260px;
}

.c-feature-list-item img {
  border-radius: 30px;
}

.c-feature-list-textbox {
  margin-top: 10px;
  display: grid;
  gap: 6px;
}

@media screen and (min-width: 768px) {
  .c-feature-list-textbox {
    margin-top: 16px;
    gap: 8px;
  }
}

.c-feature-list-title {
  font-weight: bold;
  text-align: center;
  font-size: clamp(var(--font-size-sm), 2vw, var(--font-size-md));
}

/*!
component > c-flow
------------------------------
*/
.c-flow {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 48px;
}

@media (min-width: 1024px) {
  .c-flow {
    flex-direction: row;
    gap: 64px;
  }
}

.c-flow-item {
  position: relative;
  display: grid;
  grid-template-rows: 140px auto 1fr;
  justify-items: center;
  padding: 24px;
  text-align: center;
}

.c-flow-item:not(:last-child)::before,
.c-flow-item:not(:last-child)::after {
  color: var(--color-font-primary);
}

.c-flow-item:not(:last-child)::before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -24px;
  width: 2px;
  height: 24px;
  background: currentColor;
  transform: translateX(-50%);
}

@media (min-width: 1024px) {
  .c-flow-item:not(:last-child)::before {
    top: 50%;
    left: auto;
    right: -32px;
    bottom: auto;
    width: 24px;
    height: 2px;
    transform: translateY(-50%);
  }
}

.c-flow-item:not(:last-child)::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -32px;
  width: 20px;
  height: 20px;
  border-right: 2px solid currentColor;
  border-bottom: 2px solid currentColor;
  transform: translateX(-50%) rotate(45deg);
}

@media (min-width: 1024px) {
  .c-flow-item:not(:last-child)::after {
    top: 50%;
    right: -40px;
    left: auto;
    bottom: auto;
    transform: translateY(-50%) rotate(-45deg);
  }
}

.c-flow-icon-wrapper {
  width: 140px;
  height: 140px;
  border-radius: 50%;
  background: var(--color-bg-gray-rgba);
  display: grid;
  place-items: center;
}

.c-flow-icon {
  width: 100px;
  height: 100px;
  fill: currentColor;
  flex-shrink: 0;
}

.c-flow-title {
  font-size: clamp(var(--font-size-md), 3vw, var(--font-size-md));
  min-height: 2lh;
  display: flex;
  align-items: center;
}

/*!
component > button
------------------------------
*/
.c-button {
  display: grid;
  place-items: center;
  width: 180px;
  height: 60px;
  border-radius: 100vh;
  transition:
    transform 0.7s ease,
    color 0.7s ease,
    background-color 0.7s ease,
    border-color 0.7s ease;
}

@media screen and (min-width: 768px) {
  .c-button {
    width: 220px;
  }
}

@media (any-hover: hover) {
  .c-button:hover {
    transform: scale(1.1) translateY(-2px);
  }
}

.c-button--base {
  color: var(--color-font-base);
  background-color: var(--color-bg-white);
  border: solid 1px var(--color-border-base);
}

@media (any-hover: hover) {
  .c-button--base:hover {
    color: var(--color-font-white);
    background-color: var(--color-bg-accent);
    border-color: transparent;
  }
}

.c-button--accent {
  color: var(--color-font-white);
  background-color: var(--color-bg-accent);
  border: solid 1px transparent;
}

@media (any-hover: hover) {
  .c-button--accent:hover {
    background-color: var(--color-bg-primary);
  }
}

.c-button--center {
  margin-inline: auto;
}

.c-button-cart {
  color: var(--color-font-white);
  display: flex;
  align-items: center;
  gap: clamp(10px, 2vw, 16px);
  width: fit-content;
  background-color: var(--color-bg-accent);
  padding: 8px;
  border-radius: 10px;
  transition: transform 0.3s ease;
  cursor: pointer;
}

@media (any-hover: hover) {
  .c-button-cart:hover {
    transform: scale(1.03) translateY(-2px);
  }
}

/*!
component > policy
------------------------------
*/
.c-policy-item {
  display: grid;
  gap: 8px;
}

@media screen and (min-width: 768px) {
  .c-policy-item {
    gap: 12px;
  }
}

.c-policy-title {
  font-size: clamp(var(--font-size-xl), 2vw, var(--font-size-xxl));
}

.c-policy-list .c-policy-list-item::before {
  content: "・";
  display: inline-block;
  position: absolute;
  left: -0.5em;
}

.c-policy-list-item {
  padding-left: 1em;
  position: relative;
}

/*!
component > animation
------------------------------
*/
.js-fadein {
  opacity: 0;
  transform: translateY(30px);
  transition:
    opacity 0.8s ease,
    transform 0.8s ease;
}

.js-fadein.is-show {
  opacity: 1;
  transform: translateY(0);
}

/* !!! レイアウト !!! */
/*!
layout > container
------------------------------
*/
.l-container-l,
.l-container,
.l-container-s {
  width: 90%;
  margin: 0 auto;
}

.l-container-s {
  max-width: var(--width-content-s);
}

.l-container {
  max-width: var(--width-content);
}

.l-container-l {
  max-width: var(--width-content-l);
}

/*!
layout > header
------------------------------
*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  background-color: var(--color-bg-white);
}

.header-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 clamp(10px, 5vw, 20px);
  height: 80px;
}

.header-logo {
  width: 100px;
  height: auto;
}

.header-logo img {
  display: block;
}

.header-nav {
  position: absolute;
  right: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  transform: translateX(100%);
  background-color: var(--color-bg-primary);
  transition: transform ease 0.4s;
}

@media screen and (min-width: 768px) {
  .header-nav {
    position: static;
    width: inherit;
    height: initial;
    background-color: inherit;
    transform: initial;
  }
}

.header-nav.active {
  transform: translateX(0);
}

.header-nav-logo {
  display: block;
  margin-inline: auto;
  width: 100px;
  height: auto;
}

@media screen and (min-width: 768px) {
  .header-nav-logo {
    display: none;
  }
}

.header-nav-list {
  display: grid;
  gap: 24px;
  place-items: center;
  margin-top: 80px;
}

@media screen and (min-width: 768px) {
  .header-nav-list {
    display: flex;
    align-items: center;
    gap: 48px;
    margin-top: 0;
  }
}

.header-nav-list li a {
  display: block;
  color: var(--color-font-white);
  width: 100%;
  transition: color 0.6s;
}

@media screen and (min-width: 768px) {
  .header-nav-list li a {
    color: inherit;
  }
}

@media (any-hover: hover) {
  .header-nav-list li a:hover {
    color: var(--color-font-accent);
  }
}

/*!
layout > footer
------------------------------
*/
.footer {
  position: relative;
}

.footer-logo {
  width: 150px;
  height: auto;
}

.footer-logo img {
  display: block;
}

.footer-contents {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-sns {
  display: flex;
  align-items: center;
  gap: 20px;
}

.footer-sns a {
  transition: opacity 0.6s ease;
}

@media (any-hover: hover) {
  .footer-sns a:hover {
    opacity: 0.8;
  }
}

.footer-sns img {
  width: 40px;
  height: auto;
}

.footer-link {
  display: flex;
  flex-shrink: 0;
  flex-wrap: wrap;
  justify-content: center;
}

.footer-link-item:not(:last-child)::after {
  content: "/";
  display: inline-block;
  padding: 0 8px;
}

@media screen and (min-width: 768px) {
  .footer-link-item:not(:last-child)::after {
    padding: 0 16px;
  }
}

.footer-copyright {
  text-align: center;
  font-size: clamp(var(--font-size-xs), 2vw, var(--font-size-base));
}

/* !!! 固有ページ(top) !!! */
/*!
page > top > kv 
------------------------------
*/
.top-kv-link {
  display: inline-block;
}

.top-kv-link img {
  width: 160px;
  transform-origin: center top;
}

@media screen and (min-width: 768px) {
  .top-kv-link img {
    width: 220px;
  }
}

@media (any-hover: hover) {
  .top-kv-link:hover img {
    animation: dangling 1.5s ease-out;
  }
}

@keyframes dangling {
  0% {
    transform: rotate(0deg);
  }

  15% {
    transform: rotate(12deg);
  }

  30% {
    transform: rotate(-10deg);
  }

  45% {
    transform: rotate(8deg);
  }

  60% {
    transform: rotate(-6deg);
  }

  75% {
    transform: rotate(4deg);
  }

  90% {
    transform: rotate(-2deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

/*!
page > top > about 
------------------------------
*/
.top-about {
  position: relative;
  padding-bottom: 64px;
  background-image: url(../img/pic-bg-illust-baby.png);
  background-repeat: no-repeat;
  background-size: 180px;
  background-position: bottom right;
}

@media screen and (min-width: 768px) {
  .top-about {
    padding-bottom: 80px;
    background-size: 240px;
  }
}

@media screen and (min-width: 1440px) {
  .top-about {
    background-size: 360px;
  }
}

.top-about-description {
  line-height: 2;
}

@media screen and (min-width: 768px) {
  .top-about-description {
    line-height: 2.5;
  }
}

/*!
page > top > feature
------------------------------
*/
.top-feature {
  background-color: var(--color-bg-white);
}

.top-feature-item {
  display: flex;
  align-items: flex-end;
}

@media screen and (min-width: 600px) {
  .top-feature-item {
    align-items: center;
    gap: 40px;
  }
}

@media screen and (min-width: 1024px) {
  .top-feature-item {
    align-items: center;
    gap: 80px;
  }
}

.top-feature-item:nth-of-type(2) {
  margin: 80px 0;
}

@media screen and (min-width: 768px) {
  .top-feature-item:nth-of-type(2) {
    flex-direction: row-reverse;
  }
}

.top-feature-item:nth-of-type(3) {
  margin-bottom: 80px;
}

@media screen and (min-width: 768px) {
  .top-feature-item:nth-of-type(3) {
    margin-bottom: 0;
  }
}

.top-feature-item img {
  width: 160px;
  height: auto;
  border-radius: 50%;
}

@media screen and (min-width: 1024px) {
  .top-feature-item img {
    width: 400px;
  }
}

.top-feature-textbox {
  margin-left: -40px;
  margin-bottom: -48px;
  text-shadow: 1px 1px var(--color-shadow-white);
}

@media screen and (min-width: 600px) {
  .top-feature-textbox {
    margin-left: 0;
    margin-bottom: 0;
    text-shadow: none;
  }
}

.top-feature-point {
  color: var(--color-font-accent);
  font-size: clamp(var(--font-size-md), 3vw, var(--font-size-xxl));
}

.top-feature .c-divider {
  background-color: var(--color-bg-base);
}

/*!
page > top > product
------------------------------
*/
.top-product {
  position: relative;
}

/*!
page > top > shop
------------------------------
*/
.top-shop {
  position: relative;
  background-color: var(--color-bg-white);
}

.top-shop-contents {
  display: grid;
  gap: 20px;
}

@media screen and (min-width: 1024px) {
  .top-shop-contents {
    grid-template-columns: minmax(450px, 260px) auto;
    gap: 40px;
    align-items: center;
  }
}

.top-shop-information {
  display: grid;
  grid-template-columns: 35% auto;
  gap: 12px 0;
}

@media screen and (min-width: 1024px) {
  .top-shop-information-contents {
    grid-template-columns: auto 1fr;
  }
}

.top-shop-contents dt,
.top-shop-contents dd {
  border-bottom: 1px solid var(--color-border-base);
}

.top-shop-information dd {
  padding-left: 4px;
}

.top-shop-sp-tel {
  text-decoration: underline;
}

@media screen and (min-width: 768px) {
  .top-shop-sp-tel {
    display: none;
  }
}

.top-shop-pc-tel {
  display: none;
}

@media screen and (min-width: 768px) {
  .top-shop-pc-tel {
    display: block;
  }
}

.top-shop-map iframe {
  width: 100%;
  height: 180px;
}

@media screen and (min-width: 768px) {
  .top-shop-map iframe {
    height: 260px;
  }
}

/* !!! 固有ページ(feature) !!! */
/*!
page > feature > handmade
------------------------------
*/
.feature-handmade {
  position: relative;
  background-color: var(--color-bg-white);
}

.feature-handmade-contents {
  margin-bottom: 40px;
}

.feature-handmade .c-divider path {
  fill: var(--color-bg-base);
}

/*!
page > feature > wood
------------------------------
*/
.feature-wood {
  position: relative;
}

.feature-wood-list-item {
  width: 100%;
  max-width: 200px;
}

.feature-wood-list-item img {
  border-radius: 50%;
  object-fit: cover;
}

/*!
page > feature > repair
------------------------------
*/
.feature-repair {
  position: relative;
  background-color: var(--color-bg-white);
}

/* !!! 固有ページ(products) !!! */
/*!
page > products
------------------------------
*/
.products {
  background-color: var(--color-bg-white);
}

.products-category-title {
  color: var(--color-font-primary);
  font-size: clamp(var(--font-size-xxl), 5vw, var(--font-size-xxxl));
}

.products-category-title span {
  font-size: clamp(var(--font-size-md), 3vw, var(--font-size-xxl));
}

.products-category-cart {
  margin-top: auto;
  border-top: 2px dotted var(--color-border-accent);
}

.products-category-cart input {
  cursor: pointer;
}

.products-category-form {
  display: flex;
  align-items: center;
  margin-top: 10px;
  padding-left: 12px;
}

.products-category-form select {
  background-color: var(--color-bg-white);
  padding: 4px clamp(10px, 5vw, 20px);
  border-radius: 6px;
  margin-right: 10px;
}

.products-category-form select::after {
  content: "";
  display: inline-block;
  width: 10px;
  height: 10px;
  border-bottom: solid 1px var(--color-border-base);
  border-left: solid 1px var(--color-border-base);
  transform: translateY(-50%) rotate(-45deg);
}

/* モーダル処理 */
.modal {
  position: fixed;
  inset: 0;
  z-index: 9999;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease;
}

.modal.is-show {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.modal-overlay {
  position: absolute;
  inset: 0;
  background: rgb(0 0 0 / 80%);
  backdrop-filter: blur(4px);
}

.modal-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.modal-image {
  display: block;
  max-width: min(90vw, 1400px);
  max-height: 90vh;
  width: auto;
  height: auto;
  object-fit: contain;
  border-radius: 20px;
}

.modal-close {
  position: absolute;
  top: 12px;
  right: 12px;
  width: 48px;
  height: 48px;
  font-size: 32px;
  line-height: 1;
  color: #fff;
  cursor: pointer;
  z-index: 1;
}

.js-modal-image {
  cursor: zoom-in;
  transition: transform 0.3s ease;
}

@media (any-hover: hover) {
  .js-modal-image:hover {
    transform: scale(1.03);
  }
}

/* !!! 固有ページ(privacy-policy) !!! */
/*!
page > privacy-policy
------------------------------
*/
.privacy-policy {
  background-color: var(--color-bg-white);
}

.privacy-policy ol {
  list-style-type: revert;
  list-style-position: inside;
}

/* !!! 固有ページ(commerce-law) !!! */
/*!
page > commerce-law
------------------------------
*/
.commerce-law {
  background-color: var(--color-bg-white);
}

@media screen and (min-width: 768px) {
  .commerce-law-grid {
    display: grid;
    grid-template-columns: 20% auto;
  }
}

.commerce-law-grid dt {
  font-weight: bold;
}

.commerce-law-grid dt + dd {
  margin-bottom: 10px;
}

@media screen and (min-width: 768px) {
  .commerce-law-grid dt + dd {
    margin-bottom: 20px;
  }
}

/* !!! 固有ページ(contact) !!! */
/*!
page > contact
------------------------------
*/
.contact {
  background-color: var(--color-bg-white);
}

.contact-form {
  width: 90%;
  margin-inline: auto;
}

@media screen and (min-width: 1024px) {
  .contact-form {
    width: 70%;
  }
}

.contact-form-wrapper {
  display: grid;
  gap: 20px;
}

.contact-form-item {
  display: grid;
  gap: 6px;
}

.contact-form-label {
  color: var(--color-font-primary);
}

.contact-form input,
.contact-form select,
.contact-form textarea {
  font-size: 14px;
  color: var(--color-font-base);
  border: solid 1px var(--color-border-base);
  padding-left: 2px;
  width: 100%;
}

.contact-form input,
.contact-form select {
  height: 50px;
}

.contact-form textarea {
  height: 220px;
}

.contact-form-category {
  position: relative;
}

.contact-form-category::after {
  content: "";
  width: 10px;
  height: 10px;
  border-bottom: solid 1px var(--color-border-base);
  border-left: solid 1px var(--color-border-base);
  transform: translateY(-50%) rotate(-45deg);
  position: absolute;
  top: 50%;
  right: 20px;
}

.contact-attention {
  display: grid;
  gap: 4px;
  width: 90%;
  margin-inline: auto;
}

@media screen and (min-width: 1024px) {
  .contact-attention {
    gap: 6px;
    width: 70%;
  }
}

.contact-attention li {
  font-size: clamp(var(--font-size-xs), 2vw, var(--font-size-base));
  text-indent: -1em;
  padding-left: 1em;
}

.contact-attention li::before {
  content: "*";
  display: inline-block;
  color: var(--color-bg-accent);
}
